Bug 178845 - RHEL4u4 FEAT: Provide support for Opteron Rev G and Power Now! clean-up
RHEL4u4 FEAT: Provide support for Opteron Rev G and Power Now! clean-up
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bhavna Sarathy
Brian Brock
: FutureFeature
Depends On: 176273
Blocks: 181411
  Show dependency treegraph
 
Reported: 2006-01-24 14:18 EST by Bhavna Sarathy
Modified: 2009-06-18 10:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:56:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch cleans up some error messages in the powernow-k8 driver and makes it more understandable. (2.67 KB, patch)
2006-01-24 14:21 EST, Bhavna Sarathy
no flags Details | Diff
This patch enables the powernow-k8 driver to transition to an odd FID code, indicating a multiple of 100 MHz frequency. (4.10 KB, patch)
2006-01-24 14:23 EST, Bhavna Sarathy
no flags Details | Diff

  None (edit)
Description Bhavna Sarathy 2006-01-24 14:18:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5) Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
pn_cleanup.patch: This patch cleans up some error messages in the powernow-k8 driver and makes them more understandable.

pnk8-odd-fid.patch: Future versions of the Opteron processor may support frequency transitions of 100 MHz, instead of the current 200 MHz.  This patch enables the powernow-k8 driver to transition to an odd FID code, indicating a multiple of 100 MHz frequency. 



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
The patches are for Power Now cleanup and a Power Now feature request to support Opteron Rev G.  Not a bug.

  

Actual Results:  Test Results:

Running 2.6.9-28.EL on dual core Opteron.

[bhavana@dhcp83-37 Patches]$ dmesg| grep power
powernow-k8: Found 1 AMD Athlon 64 / Opteron processors (version 1.00.09b)
powernow-k8:    0 : fid 0x8 (1600 MHz), vid 0xa (1300 mV)
powernow-k8:    1 : fid 0x0 (800 MHz), vid 0x16 (1000 mV)
powernow-k8: cpu_init done, current fid 0x0, vid 0x16

[bhavana@dhcp83-37 Patches]$ cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq
800000

Change the scaling_cur_freq.
[root@dhcp83-37 Patches]# echo -n "24000000" > /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq

Create load on the system by building the Linux kernel or by executing
a processor intensive program and verify the scaling_cur_freq as load varies.

[root@dhcp83-37 Patches]# while true; do cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq;sleep1; clear; done

The Rev G processors are in production now and are not available for testing.
Soon as they are sent to me, I can test this on the relevant processor.  Hopefully this should not hold up the patch acceptance process.


Additional info:

The patches related to this feature (sent to rhkernel-list) have been submitted upstream to 2.6.16-rc1.
Comment 1 Bhavna Sarathy 2006-01-24 14:21:55 EST
Created attachment 123630 [details]
This patch cleans up some error messages in the powernow-k8 driver and makes it more understandable.

Series of two patches, apply this one first.
Comment 2 Bhavna Sarathy 2006-01-24 14:23:25 EST
Created attachment 123631 [details]
This patch enables the powernow-k8 driver to transition to an odd FID code, indicating a multiple of 100 MHz frequency. 

Apply this patch after applying pn_cleanup patch.
Comment 3 Jason Baron 2006-03-17 11:46:36 EST
committed in stream U4 build 34.4. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 8 Red Hat Bugzilla 2006-08-10 17:56:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.